// $Id: CalendarFormT.hh 2018 2007-02-18 01:37:36Z flaterco $

/*  Calendar  Manage construction, organization, and printing of calendars.

    Copyright (C) 1998  David Flater.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

class CalendarFormT: public CalendarFormNotC {
public:
  CalendarFormT (Station &station,
                 Timestamp startTime,
                 Timestamp endTime,
		 Mode::Mode mode);

protected:

  void flushBuffer (Dstr &text_out,
                    SafeVector<Dstr> &buf,
		    HeadersBool headers);

  void monthBanner   (Dstr &buf, Date date);
  void hardLineBreak (Dstr &buf);
  void pageBreak     (Dstr &buf);
  void startTable    (Dstr &buf, unsigned numcols);
};

// Cleanup2006 Done
