// $Id: ModeFormat.hh 1410 2006-12-27 00:12:50Z flaterco $

// Enums for modes and formats.

/*
    Copyright (C) 2006  David Flater.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

namespace Mode {
  enum Mode {about='a',
	     banner='b',
	     calendar='c',
	     altCalendar='C',
	     graph='g',
	     list='l',
	     mediumRare='m',
	     plain='p',
	     raw='r',
	     stats='s',
	     clock='\0'
  };
}

namespace Format {
  enum Format {CSV='c',
	       HTML='h',
	       iCalendar='i',
	       LaTeX='l',
	       PNG='p',
	       text='t'
  };
}

// Cleanup2006 Done
