// $Id: xmlparser.hh 1566 2007-01-07 22:49:03Z flaterco $

// xmlparser.hh:  declarations for access to XML parser.

/*  Copyright (C) 2007  David Flater.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

struct xmlattribute {
  Dstr *name;
  Dstr *value;
  xmlattribute *next;
};

struct xmltag {
  Dstr *name;
  xmlattribute *attributes;
  xmltag *contents;
  xmltag *next;
};

extern xmltag *xmlparsetree;
extern Dstr xmlfilename;
extern FILE *yyin;
int yyparse();

// ECHO is defined by /usr/include/asm/termbits.h; we don't want that.
// (Messes up the XML parser.)
#undef ECHO
#define ECHO  /* Don't echo error text */

// Cleanup2006 Done
