// $Id: xxDisclaimer.hh 2111 2007-02-26 15:16:28Z flaterco $

/*  xxDisclaimer  Annoy the user.

    Copyright (C) 1998  David Flater.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

class xxDisclaimer: public xxWindow, public xxMouseWheelViewport {
public:
  xxDisclaimer (const xxWidget &shell);
  ~xxDisclaimer ();

  xxWindow * const dismiss();         // Get rid of the window.
  void globalRedraw();                // See xxRedrawable.

protected:
  std::auto_ptr<xxWidget> dismissButton, dontShowButton, label, viewport;
  Widget horizontalScrollbarWidget;   // Owned by the viewport.
};

// Cleanup2006 Done
