// $Id: xxErrorBox.hh 1718 2007-01-15 20:55:48Z flaterco $

/*  xxErrorBox  Show error message.

    Copyright (C) 1998  David Flater.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

class xxErrorBox: public xxWindow {
public:
  xxErrorBox (const xxWidget &shell,
	      const Dstr &errorMessage,
	      Error::ErrType fatality);
  ~xxErrorBox();

protected:
  const Error::ErrType _fatality;
  Pixmap backgroundPixmap;
  std::auto_ptr<xxWidget> label, button;
};

// Cleanup2006 Done
