// $Id: xxGlobal.hh 2348 2007-03-29 20:45:03Z flaterco $

/*  xxGlobal  xx additions to Global.

    Copyright (C) 1998  David Flater.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

class xxRoot;

namespace Global {
  extern xxRoot *root;

  // World Vector Shoreline decoder (in wvsrtv.cc).
  int wvsrtv (constCharPointer WVSfileName,
              int latitudeDegrees,
              int longitudeDegrees,
              float **latitudes_out,    // C style array of floats out
              float **longitudes_out,   // C style array of floats out
              int **segmentCounts_out); // C style array of ints out
}

// Cleanup2006 Done
