// $Id: xxWidget.hh 2100 2007-02-25 23:12:20Z flaterco $

/*  xxWidget  Wrapper for X11 Widgets that calls XtDestroyWidget when
    it is deleted.

    Copyright (C) 1998  David Flater.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

class xxWidget {
public:

  xxWidget (Widget widget);        // Wrap the widget.
  ~xxWidget();                     // Destroy the widget.

  const Widget widget() const;     // Get the widget.

protected:
  Widget _widget;

private:
  // Prohibited operations not implemented.
  xxWidget (const xxWidget &);
  xxWidget &operator= (const xxWidget &);
};

// Cleanup2006 Done
